Subject: Re: fc-list does not list windows system fonts under cygwin
From: Andy Koppe <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 1 Oct 2009 19:56:45 +0100
List-Id: <cygwin.cygwin.com>

2009/10/1 Ken Brown:
> I'm cc-ing the cygwin-xfree list, which is where I think fontconfig
> questions belong.  I can confirm that on my system, fc-list produces strange
> output on the windows system fonts.  I'm not sure if it's the same problem
> you were reporting.
>
> For example, I get the following in a mintty window under cygwin 1.7:
>
> $ fc-list|grep -i micro
> Microsoft Sans
> Serif:style=Regular,Normal,obyФejnУЉ,Standard,ЮЮБЮНЮПЮНЮЙЮКЮЌ,Normaali,NormУЁl,Normale,Standaard,Normalny,ааБббаНбаЙ,NormУЁlne,Navadno,Arrunta

Looks like mintty is set to the wrong character set. Have you got KOI8
or CP1251 selected on Options->Text? Although, I rather suspect all
those translations of "Regular" are encoded in several different
charsets anyway.

Andy

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple